Numerical Integration
*********************

Many of the integrals needed by Band are computed via numerical
integration. See also: Wikipedia page on Numerical Integration.


Becke Grid
==========

The numerical integration grid is a refined version of the fuzzy cells
integration scheme developed by Becke [1]. The implementation in BAND
is described in Ref. [2].

The quality of the Becke integration grid can be changed within the
"BeckeGrid" block:

   BeckeGrid
      Quality [Auto | Basic | Normal | Good | VeryGood | Excellent]
      RadialGridBoost float
      QualityPerRegion
         Quality [Basic | Normal | Good | VeryGood | Excellent]
         Region string
      End
   End

"BeckeGrid"
   Type:
      Block

   Description:
      Options for the numerical integration grid, which is a refined
      version of the fuzzy cells integration scheme developed by
      Becke.

   "Quality"
      Type:
         Multiple Choice

      Default value:
         Auto

      Options:
         [Auto, Basic, Normal, Good, VeryGood, Excellent]

      Description:
         Quality of the integration grid. For a description of the
         various qualities and the associated numerical accuracy see
         reference. If 'Auto', the quality defined in the
         'NumericalQuality' will be used.

   "RadialGridBoost"
      Type:
         Float

      Default value:
         1.0

      Description:
         The number of radial grid points will be boosted by this
         factor. Some XC functionals require very accurate radial
         integration grids, so BAND will automatically boost the
         radial grid by a factor 3 for the following numerically
         sensitive functionals: LibXC M05, LibXC M05-2X, LibXC M06-2X,
         LibXC M06-HF, LibXC M06-L, LibXC M08-HX, LibXC M08-SO, LibXC
         M11-L, LibXC MS0, LibXC MS1, LibXC MS2, LibXC MS2H, LibXC
         MVS, LibXC MVSH, LibXC N12, LibXC N12-SX, LibXC SOGGA11,
         LibXC SOGGA11-X, LibXC TH1, LibXC TH2, LibXC WB97, LibXC
         WB97X, MetaGGA M06L, MetaHybrid M06-2X, MetaHybrid M06-HF,
         MetaGGA MVS.

   "QualityPerRegion"
      Type:
         Block

      Recurring:
         True

      Description:
         Sets the grid quality for all atoms in a region. If
         specified, this overwrites the globally set quality.

      "Quality"
         Type:
            Multiple Choice

         Options:
            [Basic, Normal, Good, VeryGood, Excellent]

         Description:
            The region's integration grid quality.

      "Region"
         Type:
            String

         Description:
            The identifier of the region for which to set the quality.

Example: Multiresolution illustrates how to use the "QualityPerRegion"
option.

**Notes:**

* The space-partition function used in BAND differs from the one
  described in Ref. [2]. The unnormalized partition function used in
  the program is defined as (\Omega_I is an element-dependent
  parameter: 0.1 Bohr for H, 0.3 Bohr for He-Xe and 0.6 Bohr for Cs-
  Ubn):

   \mathcal{P}_{i,U} = \begin{cases}                       1 &
   \text{if  $r_{i,U}<\Omega_I$} \\                       0 & \text{if
   $\exists j : r_{j,U}<\Omega_J$ } \\                       \eta_i
   \frac{e^{-2 (r_{i,U}-\Omega_I) / a_0}}{(r_{i,U}-\Omega_I)^2} &
   \text{elsewhere}               \end{cases}

* The Becke grid is not very well suited to calculate Voronoi
  deformation density (VDD) charges. For accurate calculation of VDD
  charges the Voronoi integration scheme is recommended.


Radial grid of NAOs
===================

   RadialDefaults
      NR integer
      NRPerType integer_list
      RMax float
      RMin float
      RMinPerType float_list
   End

"RadialDefaults"
   Type:
      Block

   Description:
      Options for the logarithmic radial grid of the basis functions
      used in the subprogram Dirac

   "NR"
      Type:
         Integer

      Default value:
         3000

      Description:
         Number of radial points. With very high values (like 30000)
         the Dirac subprogram may not converge.

   "NRPerType"
      Type:
         Integer List

      Description:
         If present overrides NR. The list needs to be as long as
         there are atom types

   "RMax"
      Type:
         Float

      Default value:
         100.0

      Unit:
         Bohr

      Description:
         Upper bound of the logarithmic radial grid

   "RMin"
      Type:
         Float

      Default value:
         1e-06

      Unit:
         Bohr

      Description:
         Lower bound of the logarithmic radial grid

   "RMinPerType"
      Type:
         Float List

      Unit:
         Bohr

      Description:
         If specified overrides RMin. The list needs to be as long as
         there are atom types (different elements)


Voronoi grid (deprecated)
=========================

It is possible to use an alternative numerical integration scheme to
the Becke Grid, namely the Voronoi Grid.

   IntegrationMethod [Becke | Voronoi]

"IntegrationMethod"
   Type:
      Multiple Choice

   Default value:
      Becke

   Options:
      [Becke, Voronoi]

   Description:
      Choose the real-space numerical integration method. Note: the
      Voronoi integration scheme is deprecated.

The options for the Voronoi Grid are specified in the "Integration"
block:

   Integration
      AccInt float
   End

"Integration"
   Type:
      Block

   Description:
      Options for the Voronoi numerical integration scheme.
      Deprecated. Use BeckeGrid instead.

   "AccInt"
      Type:
         Float

      Default value:
         3.5

      Description:
         General parameter controlling the accuracy of the Voronoi
         integration grid. A value of 3 would be basic quality and a
         value of 7 would be good quality.

[1] A.D. Becke, *A multicenter numerical integration scheme for
    polyatomic molecules*,  Journal of Chemical Physics 88, 2547
    (1988).

[2] M. Franchini, P.H.T. Philipsen, L. Visscher, *The Becke Fuzzy
    Cells Integration Scheme in the Amsterdam Density Functional
    Program Suite*,  Journal of Computational Chemistry 34, 1818
    (2013).
